//--------------------------------------------------------------------------------//
//-                   HemiOs ( Hemisson Operating System )                       -//
//-																							         -//
//-  Ici un exemple avec le module carte d'interface E/S.                        -//
//-  On regle la frquence du Buzzer  l'aide d'une Entre Analogique.           -//
//-  On pilote des sorties digitales en fonction des dtecteurs IR du robot.     -//
//-																							         -//
//- DIDASTEL Provence - Septembre 2004                                           -//
//-																							         -//
//--------------------------------------------------------------------------------//

// Placer le fichier "hemgenio.h" dans le rpertoire de votre projet et ajouter
#include "hemgenio.h"
// dans le fichier "main.c" de ce projet.

// Mettre le contenu de cette fonction dans la fonction "main()" de votre projet ...
void ExempleCarteES(void)
{
int Duree;

   // Initialisation du Hemisson
   hemisson_init();

   // On arrte ci-dessous tous les fonctionnements par dfaut inutiles
   // Arrt de la lecture automatique de la tlcommande TV
	hemisson_config_auto_refresh_tv_remote(DISABLE);
   // Arrt de la gestion par RS232 du robot
   hemisson_config_rs232_control(DISABLE);
   // Arrt de la gestion par tlcommande du robot
	hemisson_config_tv_remote_control(DISABLE);

   // Initialisation module, attente apres la mise sous tension du robot
	HemGenIO_Init();

   // On teste la presence du module US sinon on sonne 2s
   if (HemGenIO_Read_Version() != 255)
      {
      // OK module oprationnel
      while(1)
         {
         // Pilotage la dure du HautParleur de HEMISSON
         //en fonction de la lecture d'entre ANA 0 de la carte ES
         Duree = HemGenIO_Read_Analog(0) * 10;
         // Piloter le HautParleur de Hemisson en fonction de l'entre TOR 0 de la carte ES
         // Il faut relier cette entre  un interrupteur
         if (HemGenIO_Read_Digital(0))
            {
            hemisson_beep(1);
      		hemisson_delay_ms(Duree);
            hemisson_beep(0);
      		hemisson_delay_ms(Duree);
            }
         else
            {
            hemisson_beep(0);
            }
         // Pilotage des sortie digitales en fonction des capteur IR du robot
         // Il faut relier les sortie digitale  des leds par exemple
         HemGenIO_Write_Digital(11, (hemisson_get_proximity(FRONTRIGHT) > 50));
         HemGenIO_Write_Digital(10, (hemisson_get_proximity(RIGHT) > 50));
         HemGenIO_Write_Digital(9, (hemisson_get_proximity(FRONTLEFT) > 50));
         HemGenIO_Write_Digital(8, (hemisson_get_proximity(LEFT) > 50));
         }
      }
   else
      {
      hemisson_beep(1);		        // Buzzer On
		hemisson_delay_s(2);			  // Attendre 2s
      hemisson_beep(0);		        // Buzzer Off
      }
}
